Package com.microblink.blinkid.entities.recognizers.blinkid.imageoptions.encode

# Interface EncodeFullDocumentImagesOptions

All Known Implementing Classes:
  `BlinkIdMultiSideRecognizer`, `BlinkIdSingleSideRecognizer`, `DocumentFaceRecognizer`, `MrtdCombinedRecognizer`, `MrtdRecognizer`, `PassportRecognizer`, `UsdlCombinedRecognizer`, `VisaRecognizer`

public interface EncodeFullDocumentImagesOptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEncodeFullDocumentImage(boolean encodeFullDocumentImage)`
  Sets whether full document image should be encoded in JPEG format and written into the corresponding recognition result.
  `boolean`
  `shouldEncodeFullDocumentImage()`
  Returns whether encoding of full document images and writing them into the recognition result is enabled.

- ## Field Details

  - ### CLASS_NAME

    @NonNull static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setEncodeFullDocumentImage

    void setEncodeFullDocumentImage(boolean encodeFullDocumentImage)
    Sets whether full document image should be encoded in JPEG format and written into the corresponding recognition result. By default, this is set to 'false'.
    IMPORTANT NOTE: If you set `MicroblinkSDK.setIntentDataTransferMode(com.microblink.blinkid.intent.IntentDataTransferMode)` to `IntentDataTransferMode.STANDARD` recognizer which contains encoded image cannot be parcelized and passed by `Intent` extras because of Android limitations on intent extras size. If you are using one of the provided scan activities and expect receiving scan results in `Activity.onActivityResult(int, int, Intent)` method use either `IntentDataTransferMode.OPTIMISED` or `IntentDataTransferMode.PERSISTED_OPTIMISED`
    Parameters:
      `encodeFullDocumentImage` - whether full document images should be encoded in JPEG format and written into the corresponding recognition result.

  - ### shouldEncodeFullDocumentImage

    boolean shouldEncodeFullDocumentImage()
    Returns whether encoding of full document images and writing them into the recognition result is enabled. By default, this is set to 'false'.
    Returns:
      whether encoding of full document images and writing them into the recognition result is enabled.